Package com.xebialabs.xlrelease.domain

## Class TaskDefinition

- java.lang.Object
- - com.xebialabs.xlrelease.domain.TaskDefinition

- Direct Known Subclasses:
    `TaskWithPropertiesDefinition`

      public class TaskDefinition
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `allowed` |
    `protected java.lang.String` | `displayGroup` |
    `protected java.lang.String` | `displayName` |
    `protected boolean` | `supportedInWorkflow` |
    `protected java.lang.String` | `typeName` |
    `static java.lang.String` | `XEBIALABS_GROUP` |
    `static java.lang.String` | `XLRELEASE_GROUP` |
    `static java.lang.String` | `XLRELEASE_GROUP_REPLACEMENT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskDefinition​(Type type, boolean allowed)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayGroup()` |
    `static java.lang.String` | `getDisplayGroup​(Type type)` |
    `java.lang.String` | `getDisplayName()` |
    `static java.lang.String` | `getDisplayName​(Type type)` |
    `protected static java.lang.String` | `getPrefix​(Type type)` |
    `static boolean` | `getSupportedInWorkflow​(Type type)` |
    `java.lang.String` | `getTypeName()` |
    `boolean` | `isAllowed()` |
    `protected static boolean` | `isCore​(java.lang.String prefix)` |
    `boolean` | `isSupportedInWorkflow()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XLRELEASE_GROUP_REPLACEMENT

          public static final java.lang.String XLRELEASE_GROUP_REPLACEMENT

      See Also:
        Constant Field Values

    - #### XLRELEASE_GROUP

          public static final java.lang.String XLRELEASE_GROUP

      See Also:
        Constant Field Values

    - #### XEBIALABS_GROUP

          public static final java.lang.String XEBIALABS_GROUP

      See Also:
        Constant Field Values

    - #### typeName

          protected java.lang.String typeName

    - #### displayGroup

          protected java.lang.String displayGroup

    - #### displayName

          protected java.lang.String displayName

    - #### allowed

          protected boolean allowed

    - #### supportedInWorkflow

          protected boolean supportedInWorkflow

  - ### Constructor Detail

    - #### TaskDefinition

          public TaskDefinition​(Type type,
                                boolean allowed)

  - ### Method Detail

    - #### getDisplayGroup

          public static java.lang.String getDisplayGroup​(Type type)

    - #### getDisplayName

          public static java.lang.String getDisplayName​(Type type)

    - #### getSupportedInWorkflow

          public static boolean getSupportedInWorkflow​(Type type)

    - #### getTypeName

          public java.lang.String getTypeName()

    - #### getDisplayGroup

          public java.lang.String getDisplayGroup()

    - #### getDisplayName

          public java.lang.String getDisplayName()

    - #### isAllowed

          public boolean isAllowed()

    - #### isSupportedInWorkflow

          public boolean isSupportedInWorkflow()

    - #### getPrefix

          protected static java.lang.String getPrefix​(Type type)

    - #### isCore

          protected static boolean isCore​(java.lang.String prefix)